Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Plant(s) Road Permit Permit# 2021-02468, UID# 3123
App. Status: Expired

Valid: 10/08/2021 - 10/11/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2828 (10/07/2021)

Charge Cost Quantity Total
Non-Taxable
added 10/07/2021 1:47 PM

Compliant 195,001 - 200,000 lbs

$190.00 x 1 $190.00
added 10/07/2021 1:47 PM

Fee for over length permit

$30.00 x 1 $30.00
added 10/07/2021 1:36 PM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 10/07/2021 1:47 PM

Fee for over width permit

$30.00 x 1 $30.00
added 10/07/2021 1:36 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $310.00
Payment 10/08/2021$310.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantAmy Roberts - 10/07/2021 1:36 PM
794d9e4a83eda560443ab232458c64e3
588dc2e3aca43da8c74e1cddc31b954a
 
#1 Permit Issuing OfficialRachel Grimm - 10/07/2021 1:47 PM
02373aa76335c6c115af3bc7b0d91a15
2421f1c7b209b9e5c2905da0981c2a23
 
Permit has been approved. All signatures have been obtained.